package com.bootdo.data.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

import com.bootdo.data.domain.DataRelationDO;

/**
 * 数据备案与重要数据关系表
 * @author admin
 * @email admin@163.com
 * @date 2022-03-01 14:26:26
 */
@Mapper
public interface DataRelationDao {

	DataRelationDO get(Long id);
	
	List<DataRelationDO> list(Map<String,Object> map);
	
	int count(Map<String,Object> map);
	
	int save(DataRelationDO dataRelation);
	
	int update(DataRelationDO dataRelation);
	
	int remove(Long id);

	int removeByApplyId(Long applyId);
	int batchRemoveByApplyId(Long[] ids);

	int removeByDataId(Long dataId);
	int batchRemoveByDataId(Long[] ids);
	
	int batchRemove(Long[] ids);

	void batchSave(List<DataRelationDO> list);
}
